AUIDGeneration (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.record.impl

## Enum AUIDGeneration

- java.lang.Object
- - java.lang.Enum<AUIDGeneration>
  - - tv.amwa.maj.record.impl.AUIDGeneration

- All Implemented Interfaces:
    Serializable, Comparable<AUIDGeneration>

      public enum AUIDGeneration
      extends Enum<AUIDGeneration>

  Enumeration representing the different generation methods for AUIDs. These versions are the ones specified in rfc 4122 that are supported by the MAJ API.

  See Also:
    `AUIDImpl.auidFactory(AUIDGeneration, byte[])`, `UUID`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IETF_Type1` A time-based method for UUID generation consistent with section 4.2 of rfc 4122.
    `IETF_Type3` A name-based method for UUID generation consistent with section 4.3 of rfc 4122.
    `IETF_Type4` An UUID generated from truly random or pseudo-random numbers consistent with section 4.4 of rfc 4122.
    `Namebased` A name-based method for UUID generation consistent with section 4.3 of rfc 4122.
    `Random` An UUID generated from truly random or pseudo-random numbers consistent with section 4.4 of rfc 4122.
    `Timebased` A time-based method for UUID generation consistent with section 4.2 of rfc 4122.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AUIDGeneration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AUIDGeneration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IETF_Type1

          public static final AUIDGeneration IETF_Type1

      A time-based method for UUID generation consistent with section 4.2 of rfc 4122. The resulting UUID consists of the current date and time, as well as an identifier for the host generating the identifier. Same as `Timebased`.

      See Also:
        `AUID#timebasedAUID()`, `AUID#timebasedAUID(byte[])`

    - #### Timebased

          public static final AUIDGeneration Timebased

      A time-based method for UUID generation consistent with section 4.2 of rfc 4122. The resulting UUID consists of the current date and time, as well as an identifier for the host generating the identifier. Same as `IETF_Type1`.

      See Also:
        `AUID#timebasedAUID()`, `AUID#timebasedAUID(byte[])`

    - #### IETF_Type3

          public static final AUIDGeneration IETF_Type3

      A name-based method for UUID generation consistent with section 4.3 of rfc 4122. Same as `Namebased`.

      See Also:
        `AUID#namebasedAUID(byte[])`

    - #### Namebased

          public static final AUIDGeneration Namebased

      A name-based method for UUID generation consistent with section 4.3 of rfc 4122. Same as `IETF_Type3`.

      See Also:
        `AUID#namebasedAUID(byte[])`

    - #### IETF_Type4

          public static final AUIDGeneration IETF_Type4

      An UUID generated from truly random or pseudo-random numbers consistent with section 4.4 of rfc 4122. Same as `Random`.

      See Also:
        `AUID#randomAUID()`

    - #### Random

          public static final AUIDGeneration Random

      An UUID generated from truly random or pseudo-random numbers consistent with section 4.4 of rfc 4122. Same as `IETF_Type4`.

      See Also:
        `AUID#randomAUID()`

  - ### Method Detail

    - #### values

          public static AUIDGeneration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AUIDGeneration c : AUIDGeneration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AUIDGeneration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.